View Issue Details

IDProjectCategoryView StatusLast Update
0003197SOGoWeb Calendarpublic2016-09-27 13:45
ReporterJens Erat Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Target Version2.3.7Fixed in Version2.3.16 
Summary0003197: Marking a task as completed by clicking the checkbox does not set the "completed %" field
Description

If a task is marked as completed by clicking the checkbox in the task overview, its "completed %" field is not set to 100%. Opening a task and selecting "completed on" automatically sets this field to 100%.

The behavior should be the same, no matter which way to mark a task as completed was chosen.

Steps To Reproduce
  • Created a task

  • Mark task as completed by clicking the checkbox in the overview

  • Open task, "%" field is empty

  • Create another task

  • Open task, select status "completed on", "%" field automatically gets filled with "100"

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

sogo: v2 84e170a6

2016-09-27 13:43:21

ludovic

Details Diff
(fix) correctly set percent-complete for tasks from the list view (fixes 0003197) Affected Issues
0003197
mod - NEWS Diff File
mod - UI/Scheduler/UIxTaskEditor.m Diff File

Issue History

Date Modified Username Field Change
2015-04-29 09:32 Jens Erat New Issue
2015-05-21 14:05 ludovic Target Version => 2.3.1
2015-07-23 13:44 ludovic Target Version 2.3.1 => 2.3.2
2015-09-16 15:20 ludovic Target Version 2.3.2 => 2.3.3
2015-11-11 09:23 ludovic Target Version 2.3.3 => 2.3.4
2015-12-16 11:08 ludovic Target Version 2.3.4 => 2.3.5
2016-01-07 09:56 ludovic Target Version 2.3.5 => 2.3.6
2016-01-18 13:20 ludovic Target Version 2.3.6 => 2.3.7
2016-09-27 13:45 ludovic Changeset attached => sogo v2 84e170a6
2016-09-27 13:45 ludovic Assigned To => ludovic
2016-09-27 13:45 ludovic Resolution open => fixed
2016-09-27 13:45 ludovic Status new => resolved
2016-09-27 13:45 ludovic Fixed in Version => 2.3.16